<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<application xmlns="http://wadl.dev.java.net/2009/02">
    <doc xmlns:jersey="http://jersey.java.net/" jersey:generatedBy="Jersey: 2.41 2023-10-20 08:17:02"/>
    <doc xmlns:jersey="http://jersey.java.net/" jersey:hint="This is simplified WADL with user and core resources only. To get full WADL with extended resources use the query parameter detail. Link: http://api.flightstats.com/flex/airports/rest/v1/schema/wadl?detail=true"/>
    <grammars>
        <include href="http://api.flightstats.com/application.wadl/xsd1.xsd">
            <doc title="Generated" xml:lang="en"/>
        </include>
        <include href="http://api.flightstats.com/application.wadl/xsd0.xsd">
            <doc title="Generated" xml:lang="en"/>
        </include>
    </grammars>
    <resources base="http://api.flightstats.com/">
        <resource path="/flex/airports/rest/v1/schema">
            <resource path="/wadl">
                <method id="wadl" name="GET">
                    <response>
                        <representation mediaType="application/vnd.sun.wadl+xml"/>
                        <representation mediaType="application/xml"/>
                    </response>
                </method>
            </resource>
            <resource path="/xsd">
                <method id="xsd" name="GET">
                    <response>
                        <representation mediaType="application/xml"/>
                    </response>
                </method>
            </resource>
            <resource path="/json">
                <method id="json" name="GET">
                    <response>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/airports/rest/v1/{format}">
            <resource path="all">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="all" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="active/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="activeOnDate" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="withinRadius/{longitude}/{latitude}/{radiusMiles}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="latitude" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="radiusMiles" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="longitude" style="template" type="xs:string"/>
                <method id="withinRadius" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="icao/{code}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="icaoCode" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="active">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="active" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="countryCode/{code}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="countryCode" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="{code}/today">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="anyCode" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="fs/{code}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="fsCode" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="icao/{code}/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="icaoCodeOnDate" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="iata/{code}/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="iataCodeOnDate" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="cityCode/{code}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="cityCode" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="{code}/{year}/{month}/{day}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <method id="anyCodeOnDate" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
            <resource path="iata/{code}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="code" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <method id="iataCode" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/airports/rest/v1/schema/openapi.{type:json|yaml}">
            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="type" style="template" type="xs:string"/>
            <method id="getOpenApi" name="GET">
                <response>
                    <representation mediaType="application/json"/>
                    <representation mediaType="application/yaml"/>
                </response>
            </method>
        </resource>
    </resources>
</application>
